database_api.list_account_recovery_requests
since HF11
Purpose
返回账户恢复请求(recovery request)列表。参数:start:string、limit:int、order:string
limit最大 1000。order可取以下值:by_account- 按账户名排序by_expiration- 按到期时间(expiration)排序
| account (string) | limit (int) | order (string) | | |--------------------|-| | "steemit" | 10 | "by_account" | 查询名为 "steemit" 的账户的恢复请求,按账户名排序。 | | ["1960-01-01T00:00:00"] | 10 | "by_expiration"| 查询该日期的恢复请求,按到期时间排序。 |
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": [
"1960-01-01T00:00:00"
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}